Package be.ehealth.business.intrahubcommons.security

# Class HubDecryptionHandler

java.lang.Object
be.ehealth.business.intrahubcommons.security.HubDecryptionHandler

All Implemented Interfaces:
  `jakarta.xml.ws.handler.Handler<jakarta.xml.ws.handler.soap.SOAPMessageContext>`, `jakarta.xml.ws.handler.soap.SOAPHandler<jakarta.xml.ws.handler.soap.SOAPMessageContext>`

public class HubDecryptionHandler extends Object implements jakarta.xml.ws.handler.soap.SOAPHandler<jakarta.xml.ws.handler.soap.SOAPMessageContext>
Handler that encrypt.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `HubDecryptionHandler(Crypto crypto2)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `close(jakarta.xml.ws.handler.MessageContext context)`
  Close.
  `Set<QName>`
  `getHeaders()`
  Gets the headers.
  `boolean`
  `handleFault(jakarta.xml.ws.handler.soap.SOAPMessageContext context)`
  Handle fault.
  `boolean`
  `handleMessage(jakarta.xml.ws.handler.soap.SOAPMessageContext cxt)`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### HubDecryptionHandler

    public HubDecryptionHandler(Crypto crypto2)
    Parameters:
      `crypto2` -

- ## Method Details

  - ### handleMessage

    public boolean handleMessage(jakarta.xml.ws.handler.soap.SOAPMessageContext cxt)
    Specified by:
      `handleMessage` in interface `jakarta.xml.ws.handler.Handler<jakarta.xml.ws.handler.soap.SOAPMessageContext>`

  - ### handleFault

    public boolean handleFault(jakarta.xml.ws.handler.soap.SOAPMessageContext context)
    Handle fault.
    Specified by:
      `handleFault` in interface `jakarta.xml.ws.handler.Handler<jakarta.xml.ws.handler.soap.SOAPMessageContext>`
    Parameters:
      `context` - The SOAPMessageContext
    Returns:
      true, if successful

  - ### close

    public void close(jakarta.xml.ws.handler.MessageContext context)
    Close.
    Specified by:
      `close` in interface `jakarta.xml.ws.handler.Handler<jakarta.xml.ws.handler.soap.SOAPMessageContext>`
    Parameters:
      `context` - The SOAPMessageContext

  - ### getHeaders

    public Set<QName> getHeaders()
    Gets the headers.
    Specified by:
      `getHeaders` in interface `jakarta.xml.ws.handler.soap.SOAPHandler<jakarta.xml.ws.handler.soap.SOAPMessageContext>`
    Returns:
      a `Set` containing all the headers